Create an Organization domain with the Auth0 Dashboard
To create an Organization domain in the Auth0 Dashboard:- Navigate to Auth0 Dashboard > Organizations.
- Select the Domains tab.
- Choose Add Domain. In the Domain field, enter the domain email to associate for organization discovery. The status is pending until ownership is confirmed.
- Select Add Domain.
- Optionally, configure Organization Domain Discovery.
Create an Organization domain with the Management API
To create an Organization domain with the Management API, call the Create an organization discovery domain endpoint (POST /organizations/{id}/discovery-domains). Optionally, enable the domain for Organization Domain Discovery with the use_for_organization_discovery parameter.
To enable Organization Domain Discovery, call the Patch clients by ID endpoint (PATCH /client/{id}) and set the organization_discovery_methods parameter.